Loading...
Searching...
No Matches
casacore::FunctionFactory< T > Class Template Referenceabstract
scimath package (libcasa_scimath) » Functionals_module

More...

`#include <AbstractFunctionFactory.h>`

## Public Member Functions

| FunctionFactory ()
| FunctionFactory (const FunctionFactory< T > &factory)
virtual | ~FunctionFactory ()
virtual Function< T > * | create (const Record &gr) const throw (FunctionFactoryError) =0
FunctionFactory< T > & | operator= (const FunctionFactory< T > &factory)

## Detailed Description

template<class T>
class casacore::FunctionFactory< T >

a class for creating Function objects from Records

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- FunctionFactory

### Etymology

This class is based on the Factory pattern, similar to the ApplicationObjectFactory

### Synopsis

### Example

### Motivation

Definition at line 82 of file AbstractFunctionFactory.h.

## Constructor & Destructor Documentation

## FunctionFactory() [1/2]

template<class T>

casacore::FunctionFactory< T >::FunctionFactory | ( |  | ) |

inline

Definition at line 85 of file AbstractFunctionFactory.h.

Referenced by casacore::EclecticFunctionFactory< T >::addFactory(), FunctionFactory(), and operator=().

## FunctionFactory() [2/2]

template<class T>

casacore::FunctionFactory< T >::FunctionFactory | ( | const FunctionFactory< T > & | factory | ) |

inline

Definition at line 86 of file AbstractFunctionFactory.h.

References FunctionFactory().

## ~FunctionFactory()

template<class T>

virtual casacore::FunctionFactory< T >::~FunctionFactory | ( |  | ) |

inline virtual

Definition at line 87 of file AbstractFunctionFactory.h.

## Member Function Documentation

## create()

template<class T>

virtual Function< T > * casacore::FunctionFactory< T >::create | ( | const Record & | gr | ) | const
throw | ( | FunctionFactoryError ) |  |  |

pure virtual

Implemented in casacore::EclecticFunctionFactory< T >, and casacore::SpecificFunctionFactory< T, F >.

References casacore::Record().

## operator=()

template<class T>

FunctionFactory< T > & casacore::FunctionFactory< T >::operator= | ( | const FunctionFactory< T > & | factory | ) |

inline

Definition at line 90 of file AbstractFunctionFactory.h.

References FunctionFactory().

The documentation for this class was generated from the following file:

- scimath/Functionals/AbstractFunctionFactory.h